---
title: "Setting Business Data Tripadvisor Reviews Tasks"
url: "https://docs.dataforseo.com/v3/business_data/tripadvisor/reviews/task_post/"
date: "2026-05-29"
---

## Setting Business Data Tripadvisor Reviews Tasks

  
This endpoint provides results from the “Reviews” element on the [Tripadvisor](https://www.tripadvisor.com/) platform. The results are specific to the URL path or keyword you indicate, and and the selected location (see [the List of Locations](https://docs.dataforseo.com/v3/business_data/tripadvisor/locations.md)).

**Note** that we recommend setting tasks with the `url_path` parameter for the highest accuracy.

The `url_path` parameter can be found on the Tripadvisor website as a part of the URL pointing to a specific business entity. For example, here is the URL of Margaritaville Resort Times Square on Tripadvisor:

`https://www.tripadvisor.com/Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html`

The `url_path` for this entity is `Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html`

**Note:** your account will be charged for every 10 reviews returned in the `items` array, e.g. if you specify `"depth": 11`, you will be charged as per 20 reviews.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/business\_data/tripadvisor/reviews/task\_post     

      

Pricing

  Your account will be charged for setting a task and the number of reviews you will get in the `items` array. The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/business-data/business-data-api-tripadvisor-pricing "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). Task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 110 API calls per minute, with each POST call containing no more than 100 tasks. If your POST call contains over 100 tasks, the tasks over this limit will return the `40006` error.

You can retrieve the results of completed tasks using the unique task identifier `id`. Alternatively, we can send them to you as soon as they are ready if you specify the `postback_url` or `pingback_url` when setting a task. Note that if your server doesn’t respond within 10 seconds, the connection will be aborted by timeout, and the task will be transferred to the [‘Tasks Ready’](https://docs.dataforseo.com/v3/business_data/tripadvisor/reviews/tasks_ready.md) list. The error code and message depend on your server’s configuration. See [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) to learn more about using pingbacks and postbacks with DataForSEO APIs.

Below you will find a detailed description of the fields you can use for setting a task.

**Description of the fields for setting a task:**

| Field name | Type | Description |
|---|---|---|
| `url_path` | string | *URL path of the business entity*   **required field if you do not specify `keyword`**   URL path to the Tripadvisor page of the business entity;   examples:   `Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html`   `https://www.tripadvisor.com/Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html` |
| `keyword` | string | *keyword*   **required field if you do not specify `url_path`**   the keyword you specify should indicate a name of an existing business or prominent place on Tripadvisor;   you can specify up to 700 characters in the `keyword` filed;   all %## will be decoded (plus character ‘+’ will be decoded to a space character);   if you need to use the “%” character for your `keyword`, please specify it as “%25” |
| `location_name` | string | *full name of search engine location*   **required field if you don’t specify `location_code` or `url_path`**   you can receive the list of available locations with `location_name` by making a separate request to the `https://api.dataforseo.com/v3/business_data/tripadvisor/locations`   example:   `London,England,United Kingdom` |
| `location_code` | integer | *search engine location code*   **required field if you don’t specify `location_name` or `url_path`**   you can receive the list of available locations with `location_code` by making a separate request to the `https://api.dataforseo.com/v3/business_data/tripadvisor/locations`   example:   `1003854` |
| `priority` | integer | *task priority*   optional field   can take the following values:   1 – normal execution priority (set by default)   2 – high execution priority   You will be additionally charged for the tasks with high execution priority.   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/business-data/business-data-api-tripadvisor-pricing "Pricing") page. |
| `language_name` | string | *full name of search engine language*   optional field   **if you use this field, your account will be charged for one extra request**   you can receive the list of available languages with `language_name` by making a separate request to the `https://api.dataforseo.com/v3/business_data/tripadvisor/languages`   example:   `English`  You will be additionally charged for setting a language parameter in this endpoint.   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/business-data/business-data-api-tripadvisor-pricing "Pricing") page. |
| `language_code` | string | *search engine language code*   optional field   **if you use this field, your account will be charged for one extra request**   you can receive the list of available languages with `language_code` by making a separate request to the `https://api.dataforseo.com/v3/business_data/tripadvisor/languages`   example:   `en`  You will be additionally charged for setting a language parameter in this endpoint.   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/business-data/business-data-api-tripadvisor-pricing "Pricing") page. |
| `depth` | integer | *parsing depth*   optional field   number of reviews in SERP;   we strongly recommend setting the parsing depth in the multiples of ten, because our systems processes ten reviews in a row;   default value: `10`;   max value: `4490`  **Your account will be billed per each SERP containing up to 10 results;**   Setting depth above 10 may result in additional charges if the search engine returns more than 10 results;   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/business-data/business-data-api-tripadvisor-pricing "Pricing") page. |
| `ratings` | array | *Tripadvisor traveler rating for a place of interest*   optional field   rating based on the written reviews by a traveler after they visited a place.   possible values: `excellent`, `very_good`, `average`, `poor`, `terrible`   you can specify several values at once |
| `visit_type` | array | *filter by type of travelers who left a review*   optional field   possible values: `families`, `couples`, `solo`, `business`, `friends`   you can specify several values at once |
| `months` | array | *filter by months when a traveler made a visit*   optional field   possible values: `january`, `february`, `march`, `april`, `may`, `april`, `june`, `july`, `august`, `september`, `october`, `november`, `december`   you can specify several values at once |
| `search_reviews_keyword` | string | *search reviews containing a specified keyword*   example:   `dessert` |
| `sort_by` | string | *results sorting parameters*   optional field   you can use this field to sort the results;   possible types of sorting:   `most_recent`   `detailed_reviews` |
| `translate_reviews` | boolean | *translate reviews according to the URL path*   optional field   if set to `true`, returned reviews will be translated to the language matching the specified `url_path`;   for example, if `url_path` contains `tripadvisor.it` and `translate_reviews` is `true`, reviews will be translated to the Italian language;   default value: `true`   you can learn more about how reviews are translated in [this Help Center article](https://dataforseo.com/help-center/how-to-translate-reviews-in-tripadvisor-business-data-api) |
| `tag` | string | *user-defined task identifier*   optional field   *the character limit is 255*   you can use this parameter to identify the task and match it with the result   you will find the specified `tag` value in the `data` object of the response |
| `postback_url` | string | *URL for sending task results*   optional field   once the task is completed, we will send a POST request with its results compressed in the `gzip` format to the `postback_url` you specified   you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request.   example:   `http://your-server.com/postbackscript?id=$id`   `http://your-server.com/postbackscript?id=$id&tag=$tag`   **Note:** special characters in `postback_url` will be urlencoded;   i.a., the `#` character will be encoded into `%23`learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |
| `pingback_url` | string | *notification URL of a completed task*   optional field   when a task is completed we will notify you by GET request sent to the URL you have specified   you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request.   example:   `http://your-server.com/pingscript?id=$id`   `http://your-server.com/pingscript?id=$id&tag=$tag`   **Note:** special characters in `pingback_url` will be urlencoded;   i.a., the `#` character will be encoded into `%23`learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`**array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *unique task identifier in our system*   in the [Universally unique identifier (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier) format |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000 |
| `status_message` | string | *informational message of the task* |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results*   in this case, the value will be `null` |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/business_data/tripadvisor/reviews/task_post" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "url_path": "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
    "location_code": 1003854,
    "pingback_url": "https://your-server.com/pingback.php?id=$id&tag=$tag",
    "tag": "some_string_123"
  }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// example #1 - a simple way to set a task
// this way requires you to specify a location, a language of search, and a keyword.
$post_array[] = array(
    "url_path" => "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
    "location_code" => 1003854,
    "pingback_url" => "https://your-server.com/pingback.php?id=$id&tag=$tag",
    "tag" => "some_string_123"
);
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more money.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
$post_array[] = array(
    "url_path" => "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
    "location_code" => 1003854,
    "pingback_url" => "https://your-server.com/pingback.php?id=$id&tag=$tag",
    "tag" => "some_string_123",
    "priority" => 2
);
// example #3 - an alternative way to set a task
// after a task is completed, we will send the results according to the address you set in the 'postback_url' field.
$post_array[] = array(
   "url_path" => "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
   "location_code" => 1003854,
   "postback_url" => "https://your-server.com/postbackscript"
);
// this example has a 3 elements, but in the case of large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
   try {
      // POST /v3/business_data/tripadvisor/reviews/task_post
      $result = $client->post('/v3/business_data/tripadvisor/reviews/task_post', $post_array);
      print_r($result);
      // do something with post result
   } catch (RestClientException $e) {
      echo "n";
      print "HTTP code: {$e->getHttpCode()}n";
      print "Error code: {$e->getCode()}n";
      print "Message: {$e->getMessage()}n";
      print  $e->getTraceAsString();
      echo "n";
   }
}
$client = null;
?>
```





```js
const post_array = [];

post_array.push({
  "url_path": "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
  "location_code": 1003854,
  "pingback_url": "https://your-server.com/pingback.php?id=$id&tag=$tag",
  "tag": "some_string_123",
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/business_data/tripadvisor/reviews/task_post',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    url_path="Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
    location_code=1003854,
    pingback_url="https://your-server.com/pingback.php?id=$id&tag=$tag",
    tag="some_string_123"
)
# after a task is completed, we will send a GET request to the address you specify
# instead of $id and $tag, you will receive actual values that are relevant to this task
post_data[len(post_data)] = dict(
    url_path="Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
    location_code=1003854,
    pingback_url="https://your-server.com/pingback.php?id=$id&tag=$tag",
    priority=2,
    tag="some_string_123"
)
# after a task is completed, we will send a GET request to the address you specify
# instead of $id and $tag, you will receive actual values that are relevant to this task
post_data[len(post_data)] = dict(    
    url_path="Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
    location_code=1003854,
    tag="some_string_123",
    postback_url="https://your-server.com/postbackscript"
)
# POST /v3/business_data/tripadvisor/reviews/task_post
response = client.post("/v3/business_data/tripadvisor/reviews/task_post", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_tripadvisor_reviews_task_post()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to set a task
            postData.Add(new
            {
                url_path = "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
                pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag",
                tag = "some_string_123"
            });
            // after a task is completed, we will send a GET request to the address you specify
            // instead of $id and $tag, you will receive actual values that are relevant to this task
            postData.Add(new
            {
                url_path = "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
                priority = 2,
                tag = "some_string_123",
                pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag"
            });
            // after a task is completed, we will send a GET request to the address you specify
            // instead of $id and $tag you will receive actual values that are relevant to this task
            postData.Add(new
            {
                url_path = "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
                tag = "some_string_123",
                postback_url = "https://your-server.com/postbackscript"
            });
            // POST /v3/business_data/tripadvisor/reviews/task_post
            var taskPostResponse = await httpClient.PostAsync("/v3/business_data/tripadvisor/reviews/task_post", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20210917",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1883 sec.",
  "cost": 0.00075,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11021923-1535-0353-0000-d29eb3dc9b2b",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0171 sec.",
      "cost": 0.00075,
      "result_count": 0,
      "path": [
        "v3",
        "business_data",
        "tripadvisor",
        "reviews",
        "task_post"
      ],
      "data": {
        "api": "business_data",
        "function": "reviews",
        "se": "tripadvisor",
        "url_path": "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
        "pingback_url": "https://your-server.com/pingback.php?id=$id&tag=$tag",
        "tag": "some_string_123",
        "language_name": "English",
        "language_code": "en",
        "location_name": "United States",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp